For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDashboard
Getting StartedAPI ReferenceRoadmapBlog
Getting StartedAPI ReferenceRoadmapBlog
    • Resources
    • Authentication
    • Pagination
    • Rate limiting
  • API Keys
    • GETList api keys
    • GETGet api key
    • POSTCreate api key
    • PUTUpdate api key
    • DELDelete api key
  • Environments
    • POSTCreate environment
    • PUTUpdate environment
    • DELDelete environment
  • Plans
    • The Plan object
    • GETList plans
    • GETGet plan
    • POSTCreate plan
    • PUTUpdate plan
    • DELDelete plan
  • Companies
    • The Company object
    • GETList companies
    • POSTUpsert company
    • GETLookup company
    • DELDelete company
    • POSTDelete company by keys
    • GETList company memberships
    • POSTGet or create company membership
    • DELDelete company membership
    • POSTUpsert company trait
  • Users
    • The User object
    • GETList users
    • GETLookup user
    • POSTUpsert user
    • DELDelete user
    • POSTDelete user by keys
    • POSTUpsert user trait
  • Events
    • The Event object
    • GETList events
    • POSTCreate event
    • POSTCreate event batch
    • GETGet event
  • Features
    • The Feature object
    • GETList features
    • GETGet feature
    • POSTCreate feature
    • PUTUpdate feature
    • DELDelete feature
  • Flags
    • The Flag object
    • GETList flags
    • GETGet flag
    • POSTCreate flag
    • PUTUpdate flag
    • DELDelete flag
    • PUTUpdate flag rules
    • POSTCheck flag
    • POSTCheck flags
  • Entitlements
    • GETList company overrides
    • GETGet company override
    • POSTCreate company override
    • PUTUpdate company override
    • DELDelete company override
    • GETList plan entitlements
    • GETGet plan entitlement
    • POSTCreate plan entitlement
    • PUTUpdate plan entitlement
    • DELDelete plan entitlement
  • Feature Usage
    • GETList feature usage
  • Billing Credits
    • GETList credits
    • POSTCreate credit
    • GETGet credit
    • PUTUpdate credit
    • DELDelete credit
    • GETList credit bundles
    • POSTCreate credit bundle
    • GETGet credit bundle
    • PUTUpdate credit bundle
    • DELDelete credit bundle
    • POSTGrant credits to company
    • GETList company credit grants
    • GETList credit grants
    • PUTZero out credit grant
    • GETList plan credit grants
    • POSTCreate plan credit grant
    • DELDelete plan credit grant
    • GETGet credit ledger
  • Account Members
    • GETList account members
    • GETGet account member
LogoLogo
SupportDashboard
Companies

List companies

GET
https://api.schematichq.com/companies
GET
/companies
1import { SchematicClient } from "@schematichq/schematic-typescript-node";
2
3async function main() {
4 const client = new SchematicClient({
5 apiKey: "YOUR_API_KEY_HERE",
6 });
7 await client.companies.listCompanies({});
8}
9main();
1{
2 "data": [
3 {
4 "add_ons": [
5 {
6 "id": "string",
7 "included_credit_grants": [
8 {
9 "billing_credit_auto_topup_enabled": true,
10 "billing_credit_auto_topup_self_service": true,
11 "created_at": "2024-01-15T09:30:00Z",
12 "credit_amount": 1,
13 "credit_id": "string",
14 "id": "string",
15 "plan_id": "string",
16 "reset_type": "no_reset",
17 "updated_at": "2024-01-15T09:30:00Z",
18 "credit_description": "string",
19 "credit_name": "string",
20 "billing_credit_auto_topup_amount": 1,
21 "billing_credit_auto_topup_amount_type": "string",
22 "billing_credit_auto_topup_expiry_type": "duration",
23 "billing_credit_auto_topup_expiry_unit": "billing_periods",
24 "billing_credit_auto_topup_expiry_unit_count": 1,
25 "billing_credit_auto_topup_threshold_credits": 1,
26 "billing_credit_auto_topup_threshold_percent": 1,
27 "company_auto_topup_amount": 1,
28 "company_auto_topup_enabled": true,
29 "company_auto_topup_threshold_credits": 1,
30 "credit": {
31 "account_id": "string",
32 "burn_strategy": "expiration_priority",
33 "cost_editable": true,
34 "created_at": "2024-01-15T09:30:00Z",
35 "currency_prices": [
36 {
37 "currency": "string",
38 "price": {
39 "billing_scheme": "per_unit",
40 "created_at": "2024-01-15T09:30:00Z",
41 "currency": "string",
42 "id": "string",
43 "interval": "day",
44 "interval_count": 1,
45 "is_active": true,
46 "package_size": 1,
47 "price": 1,
48 "price_external_id": "string",
49 "price_id": "string",
50 "price_tier": [
51 {
52 "flat_amount": 1,
53 "per_unit_price": 1,
54 "per_unit_price_decimal": "string",
55 "up_to": 1
56 }
57 ],
58 "product_external_id": "string",
59 "product_id": "string",
60 "product_name": "string",
61 "provider_type": "orb",
62 "updated_at": "2024-01-15T09:30:00Z",
63 "usage_type": "licensed",
64 "meter_event_name": "string",
65 "meter_event_payload_key": "string",
66 "meter_id": "string",
67 "nickname": "string",
68 "price_decimal": "string",
69 "tiers_mode": "graduated"
70 }
71 }
72 ],
73 "default_expiry_unit": "billing_periods",
74 "default_rollover_policy": "expire",
75 "description": "string",
76 "environment_id": "string",
77 "id": "string",
78 "name": "string",
79 "updated_at": "2024-01-15T09:30:00Z",
80 "default_expiry_unit_count": 1,
81 "icon": "string",
82 "plural_name": "string",
83 "price": {
84 "billing_scheme": "per_unit",
85 "created_at": "2024-01-15T09:30:00Z",
86 "currency": "string",
87 "id": "string",
88 "interval": "day",
89 "interval_count": 1,
90 "is_active": true,
91 "package_size": 1,
92 "price": 1,
93 "price_external_id": "string",
94 "price_id": "string",
95 "price_tier": [
96 {
97 "flat_amount": 1,
98 "per_unit_price": 1,
99 "per_unit_price_decimal": "string",
100 "up_to": 1
101 }
102 ],
103 "product_external_id": "string",
104 "product_id": "string",
105 "product_name": "string",
106 "provider_type": "orb",
107 "updated_at": "2024-01-15T09:30:00Z",
108 "usage_type": "licensed",
109 "meter_event_name": "string",
110 "meter_event_payload_key": "string",
111 "meter_id": "string",
112 "nickname": "string",
113 "price_decimal": "string",
114 "tiers_mode": "graduated"
115 },
116 "price_per_unit": 1,
117 "price_per_unit_decimal": "string",
118 "product": {
119 "account_id": "string",
120 "created_at": "2024-01-15T09:30:00Z",
121 "environment_id": "string",
122 "external_id": "string",
123 "is_active": true,
124 "name": "string",
125 "price": 1.1,
126 "product_id": "string",
127 "provider_type": "orb",
128 "quantity": 1.1,
129 "updated_at": "2024-01-15T09:30:00Z",
130 "price_decimal": "string",
131 "currency": "string"
132 },
133 "singular_name": "string"
134 },
135 "expiry_type": "duration",
136 "expiry_unit": "billing_periods",
137 "expiry_unit_count": 1,
138 "plan": {
139 "id": "string",
140 "name": "string",
141 "description": "string",
142 "image_url": "string"
143 },
144 "plan_version_id": "string",
145 "reset_cadence": "daily",
146 "reset_start": "billing_period",
147 "credit_icon": "string",
148 "plural_name": "string",
149 "singular_name": "string"
150 }
151 ],
152 "name": "string",
153 "added_on": "2024-01-15T09:30:00Z",
154 "billing_product_external_id": "string",
155 "billing_product_id": "string",
156 "description": "string",
157 "image_url": "string",
158 "plan_period": "string",
159 "plan_price": 1,
160 "plan_version_id": "string"
161 }
162 ],
163 "billing_subscriptions": [
164 {
165 "cancel_at_period_end": true,
166 "created_at": "2024-01-15T09:30:00Z",
167 "currency": "string",
168 "customer_external_id": "string",
169 "discounts": [
170 {
171 "coupon_id": "string",
172 "coupon_name": "string",
173 "discount_external_id": "string",
174 "duration": "string",
175 "is_active": true,
176 "started_at": "2024-01-15T09:30:00Z",
177 "subscription_external_id": "string",
178 "amount_off": 1,
179 "currency": "string",
180 "customer_facing_code": "string",
181 "duration_in_months": 1,
182 "ended_at": "2024-01-15T09:30:00Z",
183 "percent_off": 1.1,
184 "promo_code_external_id": "string"
185 }
186 ],
187 "id": "string",
188 "interval": "string",
189 "period_end": 1,
190 "period_start": 1,
191 "products": [
192 {
193 "billing_scheme": "per_unit",
194 "created_at": "2024-01-15T09:30:00Z",
195 "currency": "string",
196 "environment_id": "string",
197 "external_id": "string",
198 "id": "string",
199 "interval": "string",
200 "name": "string",
201 "package_size": 1,
202 "price": 1,
203 "price_external_id": "string",
204 "price_id": "string",
205 "price_tier": [
206 {
207 "flat_amount": 1,
208 "per_unit_price": 1,
209 "per_unit_price_decimal": "string",
210 "up_to": 1
211 }
212 ],
213 "provider_type": "orb",
214 "quantity": 1.1,
215 "subscription_id": "string",
216 "updated_at": "2024-01-15T09:30:00Z",
217 "usage_type": "licensed",
218 "billing_threshold": 1,
219 "interval_count": 1,
220 "meter_id": "string",
221 "price_decimal": "string",
222 "subscription_item_external_id": "string"
223 }
224 ],
225 "provider_type": "orb",
226 "status": "string",
227 "subscription_external_id": "string",
228 "total_price": 1,
229 "application_id": "string",
230 "cancel_at": 1,
231 "company_id": "string",
232 "default_payment_method_id": "string",
233 "expired_at": "2024-01-15T09:30:00Z",
234 "latest_invoice": {
235 "amount_due": 1,
236 "amount_paid": 1,
237 "amount_remaining": 1,
238 "collection_method": "string",
239 "created_at": "2024-01-15T09:30:00Z",
240 "currency": "string",
241 "customer_external_id": "string",
242 "environment_id": "string",
243 "id": "string",
244 "provider_type": "orb",
245 "subtotal": 1,
246 "updated_at": "2024-01-15T09:30:00Z",
247 "company_id": "string",
248 "due_date": "2024-01-15T09:30:00Z",
249 "external_id": "string",
250 "payment_method_external_id": "string",
251 "status": "draft",
252 "subscription_external_id": "string",
253 "url": "string"
254 },
255 "metadata": {},
256 "payment_method": {
257 "created_at": "2024-01-15T09:30:00Z",
258 "customer_external_id": "string",
259 "environment_id": "string",
260 "external_id": "string",
261 "id": "string",
262 "payment_method_type": "string",
263 "provider_type": "orb",
264 "updated_at": "2024-01-15T09:30:00Z",
265 "account_last4": "string",
266 "account_name": "string",
267 "bank_name": "string",
268 "billing_email": "string",
269 "billing_name": "string",
270 "card_brand": "string",
271 "card_exp_month": 1,
272 "card_exp_year": 1,
273 "card_last4": "string",
274 "company_id": "string"
275 },
276 "trial_end": 1,
277 "trial_end_setting": "cancel"
278 }
279 ],
280 "created_at": "2024-01-15T09:30:00Z",
281 "custom_plan_billings": [
282 {
283 "activation_strategy": "on_payment",
284 "company_id": "string",
285 "created_at": "2024-01-15T09:30:00Z",
286 "days_until_due": 1,
287 "id": "string",
288 "plan_id": "string",
289 "status": "active",
290 "updated_at": "2024-01-15T09:30:00Z",
291 "external_invoice_id": "string",
292 "paid_at": "2024-01-15T09:30:00Z",
293 "published_at": "2024-01-15T09:30:00Z",
294 "stripe_invoice_url": "string"
295 }
296 ],
297 "entitlements": [
298 {
299 "feature_id": "string",
300 "feature_key": "string",
301 "value_type": "boolean",
302 "allocation": 1,
303 "credit_id": "string",
304 "credit_remaining": 1.1,
305 "credit_total": 1.1,
306 "credit_used": 1.1,
307 "event_name": "string",
308 "metric_period": "all_time",
309 "metric_reset_at": "2024-01-15T09:30:00Z",
310 "month_reset": "billing_cycle",
311 "soft_limit": 1,
312 "usage": 1
313 }
314 ],
315 "entity_traits": [
316 {
317 "created_at": "2024-01-15T09:30:00Z",
318 "definition_id": "string",
319 "environment_id": "string",
320 "id": "string",
321 "updated_at": "2024-01-15T09:30:00Z",
322 "value": "string",
323 "definition": {
324 "created_at": "2024-01-15T09:30:00Z",
325 "display_name": "string",
326 "entity_type": "company",
327 "hierarchy": [
328 "string"
329 ],
330 "id": "string",
331 "trait_type": "boolean",
332 "updated_at": "2024-01-15T09:30:00Z"
333 }
334 }
335 ],
336 "environment_id": "string",
337 "id": "string",
338 "keys": [
339 {
340 "created_at": "2024-01-15T09:30:00Z",
341 "definition_id": "string",
342 "entity_id": "string",
343 "entity_type": "company",
344 "environment_id": "string",
345 "id": "string",
346 "key": "string",
347 "updated_at": "2024-01-15T09:30:00Z",
348 "value": "string",
349 "definition": {
350 "created_at": "2024-01-15T09:30:00Z",
351 "entity_type": "company",
352 "id": "string",
353 "key": "string",
354 "updated_at": "2024-01-15T09:30:00Z"
355 }
356 }
357 ],
358 "metrics": [
359 {
360 "account_id": "string",
361 "captured_at_max": "2024-01-15T09:30:00Z",
362 "captured_at_min": "2024-01-15T09:30:00Z",
363 "company_id": "string",
364 "created_at": "2024-01-15T09:30:00Z",
365 "environment_id": "string",
366 "event_subtype": "string",
367 "month_reset": "billing_cycle",
368 "period": "all_time",
369 "value": 1,
370 "valid_until": "2024-01-15T09:30:00Z"
371 }
372 ],
373 "name": "string",
374 "payment_methods": [
375 {
376 "created_at": "2024-01-15T09:30:00Z",
377 "customer_external_id": "string",
378 "environment_id": "string",
379 "external_id": "string",
380 "id": "string",
381 "payment_method_type": "string",
382 "provider_type": "orb",
383 "updated_at": "2024-01-15T09:30:00Z",
384 "account_last4": "string",
385 "account_name": "string",
386 "bank_name": "string",
387 "billing_email": "string",
388 "billing_name": "string",
389 "card_brand": "string",
390 "card_exp_month": 1,
391 "card_exp_year": 1,
392 "card_last4": "string",
393 "company_id": "string"
394 }
395 ],
396 "plans": [
397 {
398 "id": "string",
399 "name": "string",
400 "description": "string",
401 "image_url": "string"
402 }
403 ],
404 "rules": [
405 {
406 "account_id": "string",
407 "condition_groups": [
408 {
409 "conditions": [
410 {
411 "account_id": "string",
412 "condition_type": "base_plan",
413 "environment_id": "string",
414 "id": "string",
415 "operator": "eq",
416 "resource_ids": [
417 "string"
418 ],
419 "trait_value": "string",
420 "comparison_trait_definition": {
421 "comparable_type": "bool",
422 "entity_type": "company",
423 "id": "string"
424 },
425 "consumption_rate": 1.1,
426 "credit_id": "string",
427 "event_subtype": "string",
428 "metric_period": "all_time",
429 "metric_period_month_reset": "billing_cycle",
430 "metric_value": 1,
431 "trait_definition": {
432 "comparable_type": "bool",
433 "entity_type": "company",
434 "id": "string"
435 }
436 }
437 ]
438 }
439 ],
440 "conditions": [
441 {
442 "account_id": "string",
443 "condition_type": "base_plan",
444 "environment_id": "string",
445 "id": "string",
446 "operator": "eq",
447 "resource_ids": [
448 "string"
449 ],
450 "trait_value": "string",
451 "comparison_trait_definition": {
452 "comparable_type": "bool",
453 "entity_type": "company",
454 "id": "string"
455 },
456 "consumption_rate": 1.1,
457 "credit_id": "string",
458 "event_subtype": "string",
459 "metric_period": "all_time",
460 "metric_period_month_reset": "billing_cycle",
461 "metric_value": 1,
462 "trait_definition": {
463 "comparable_type": "bool",
464 "entity_type": "company",
465 "id": "string"
466 }
467 }
468 ],
469 "environment_id": "string",
470 "id": "string",
471 "name": "string",
472 "priority": 1,
473 "rule_type": "company_override",
474 "value": true,
475 "flag_id": "string"
476 }
477 ],
478 "updated_at": "2024-01-15T09:30:00Z",
479 "user_count": 1,
480 "billing_credit_balances": {},
481 "billing_subscription": {
482 "cancel_at_period_end": true,
483 "created_at": "2024-01-15T09:30:00Z",
484 "currency": "string",
485 "customer_external_id": "string",
486 "discounts": [
487 {
488 "coupon_id": "string",
489 "coupon_name": "string",
490 "discount_external_id": "string",
491 "duration": "string",
492 "is_active": true,
493 "started_at": "2024-01-15T09:30:00Z",
494 "subscription_external_id": "string",
495 "amount_off": 1,
496 "currency": "string",
497 "customer_facing_code": "string",
498 "duration_in_months": 1,
499 "ended_at": "2024-01-15T09:30:00Z",
500 "percent_off": 1.1,
501 "promo_code_external_id": "string"
502 }
503 ],
504 "id": "string",
505 "interval": "string",
506 "period_end": 1,
507 "period_start": 1,
508 "products": [
509 {
510 "billing_scheme": "per_unit",
511 "created_at": "2024-01-15T09:30:00Z",
512 "currency": "string",
513 "environment_id": "string",
514 "external_id": "string",
515 "id": "string",
516 "interval": "string",
517 "name": "string",
518 "package_size": 1,
519 "price": 1,
520 "price_external_id": "string",
521 "price_id": "string",
522 "price_tier": [
523 {
524 "flat_amount": 1,
525 "per_unit_price": 1,
526 "per_unit_price_decimal": "string",
527 "up_to": 1
528 }
529 ],
530 "provider_type": "orb",
531 "quantity": 1.1,
532 "subscription_id": "string",
533 "updated_at": "2024-01-15T09:30:00Z",
534 "usage_type": "licensed",
535 "billing_threshold": 1,
536 "interval_count": 1,
537 "meter_id": "string",
538 "price_decimal": "string",
539 "subscription_item_external_id": "string"
540 }
541 ],
542 "provider_type": "orb",
543 "status": "string",
544 "subscription_external_id": "string",
545 "total_price": 1,
546 "application_id": "string",
547 "cancel_at": 1,
548 "company_id": "string",
549 "default_payment_method_id": "string",
550 "expired_at": "2024-01-15T09:30:00Z",
551 "latest_invoice": {
552 "amount_due": 1,
553 "amount_paid": 1,
554 "amount_remaining": 1,
555 "collection_method": "string",
556 "created_at": "2024-01-15T09:30:00Z",
557 "currency": "string",
558 "customer_external_id": "string",
559 "environment_id": "string",
560 "id": "string",
561 "provider_type": "orb",
562 "subtotal": 1,
563 "updated_at": "2024-01-15T09:30:00Z",
564 "company_id": "string",
565 "due_date": "2024-01-15T09:30:00Z",
566 "external_id": "string",
567 "payment_method_external_id": "string",
568 "status": "draft",
569 "subscription_external_id": "string",
570 "url": "string"
571 },
572 "metadata": {},
573 "payment_method": {
574 "created_at": "2024-01-15T09:30:00Z",
575 "customer_external_id": "string",
576 "environment_id": "string",
577 "external_id": "string",
578 "id": "string",
579 "payment_method_type": "string",
580 "provider_type": "orb",
581 "updated_at": "2024-01-15T09:30:00Z",
582 "account_last4": "string",
583 "account_name": "string",
584 "bank_name": "string",
585 "billing_email": "string",
586 "billing_name": "string",
587 "card_brand": "string",
588 "card_exp_month": 1,
589 "card_exp_year": 1,
590 "card_last4": "string",
591 "company_id": "string"
592 },
593 "trial_end": 1,
594 "trial_end_setting": "cancel"
595 },
596 "default_payment_method": {
597 "created_at": "2024-01-15T09:30:00Z",
598 "customer_external_id": "string",
599 "environment_id": "string",
600 "external_id": "string",
601 "id": "string",
602 "payment_method_type": "string",
603 "provider_type": "orb",
604 "updated_at": "2024-01-15T09:30:00Z",
605 "account_last4": "string",
606 "account_name": "string",
607 "bank_name": "string",
608 "billing_email": "string",
609 "billing_name": "string",
610 "card_brand": "string",
611 "card_exp_month": 1,
612 "card_exp_year": 1,
613 "card_last4": "string",
614 "company_id": "string"
615 },
616 "last_seen_at": "2024-01-15T09:30:00Z",
617 "logo_url": "string",
618 "plan": {
619 "id": "string",
620 "included_credit_grants": [
621 {
622 "billing_credit_auto_topup_enabled": true,
623 "billing_credit_auto_topup_self_service": true,
624 "created_at": "2024-01-15T09:30:00Z",
625 "credit_amount": 1,
626 "credit_id": "string",
627 "id": "string",
628 "plan_id": "string",
629 "reset_type": "no_reset",
630 "updated_at": "2024-01-15T09:30:00Z",
631 "credit_description": "string",
632 "credit_name": "string",
633 "billing_credit_auto_topup_amount": 1,
634 "billing_credit_auto_topup_amount_type": "string",
635 "billing_credit_auto_topup_expiry_type": "duration",
636 "billing_credit_auto_topup_expiry_unit": "billing_periods",
637 "billing_credit_auto_topup_expiry_unit_count": 1,
638 "billing_credit_auto_topup_threshold_credits": 1,
639 "billing_credit_auto_topup_threshold_percent": 1,
640 "company_auto_topup_amount": 1,
641 "company_auto_topup_enabled": true,
642 "company_auto_topup_threshold_credits": 1,
643 "credit": {
644 "account_id": "string",
645 "burn_strategy": "expiration_priority",
646 "cost_editable": true,
647 "created_at": "2024-01-15T09:30:00Z",
648 "currency_prices": [
649 {
650 "currency": "string",
651 "price": {
652 "billing_scheme": "per_unit",
653 "created_at": "2024-01-15T09:30:00Z",
654 "currency": "string",
655 "id": "string",
656 "interval": "day",
657 "interval_count": 1,
658 "is_active": true,
659 "package_size": 1,
660 "price": 1,
661 "price_external_id": "string",
662 "price_id": "string",
663 "price_tier": [
664 {
665 "flat_amount": 1,
666 "per_unit_price": 1,
667 "per_unit_price_decimal": "string",
668 "up_to": 1
669 }
670 ],
671 "product_external_id": "string",
672 "product_id": "string",
673 "product_name": "string",
674 "provider_type": "orb",
675 "updated_at": "2024-01-15T09:30:00Z",
676 "usage_type": "licensed",
677 "meter_event_name": "string",
678 "meter_event_payload_key": "string",
679 "meter_id": "string",
680 "nickname": "string",
681 "price_decimal": "string",
682 "tiers_mode": "graduated"
683 }
684 }
685 ],
686 "default_expiry_unit": "billing_periods",
687 "default_rollover_policy": "expire",
688 "description": "string",
689 "environment_id": "string",
690 "id": "string",
691 "name": "string",
692 "updated_at": "2024-01-15T09:30:00Z",
693 "default_expiry_unit_count": 1,
694 "icon": "string",
695 "plural_name": "string",
696 "price": {
697 "billing_scheme": "per_unit",
698 "created_at": "2024-01-15T09:30:00Z",
699 "currency": "string",
700 "id": "string",
701 "interval": "day",
702 "interval_count": 1,
703 "is_active": true,
704 "package_size": 1,
705 "price": 1,
706 "price_external_id": "string",
707 "price_id": "string",
708 "price_tier": [
709 {
710 "flat_amount": 1,
711 "per_unit_price": 1,
712 "per_unit_price_decimal": "string",
713 "up_to": 1
714 }
715 ],
716 "product_external_id": "string",
717 "product_id": "string",
718 "product_name": "string",
719 "provider_type": "orb",
720 "updated_at": "2024-01-15T09:30:00Z",
721 "usage_type": "licensed",
722 "meter_event_name": "string",
723 "meter_event_payload_key": "string",
724 "meter_id": "string",
725 "nickname": "string",
726 "price_decimal": "string",
727 "tiers_mode": "graduated"
728 },
729 "price_per_unit": 1,
730 "price_per_unit_decimal": "string",
731 "product": {
732 "account_id": "string",
733 "created_at": "2024-01-15T09:30:00Z",
734 "environment_id": "string",
735 "external_id": "string",
736 "is_active": true,
737 "name": "string",
738 "price": 1.1,
739 "product_id": "string",
740 "provider_type": "orb",
741 "quantity": 1.1,
742 "updated_at": "2024-01-15T09:30:00Z",
743 "price_decimal": "string",
744 "currency": "string"
745 },
746 "singular_name": "string"
747 },
748 "expiry_type": "duration",
749 "expiry_unit": "billing_periods",
750 "expiry_unit_count": 1,
751 "plan": {
752 "id": "string",
753 "name": "string",
754 "description": "string",
755 "image_url": "string"
756 },
757 "plan_version_id": "string",
758 "reset_cadence": "daily",
759 "reset_start": "billing_period",
760 "credit_icon": "string",
761 "plural_name": "string",
762 "singular_name": "string"
763 }
764 ],
765 "name": "string",
766 "added_on": "2024-01-15T09:30:00Z",
767 "billing_product_external_id": "string",
768 "billing_product_id": "string",
769 "description": "string",
770 "image_url": "string",
771 "plan_period": "string",
772 "plan_price": 1,
773 "plan_version_id": "string"
774 },
775 "scheduled_downgrade": {
776 "currency": "string",
777 "effective_after": "2024-01-15T09:30:00Z",
778 "from_plan_id": "string",
779 "from_plan_name": "string",
780 "from_subscription_price": 1,
781 "id": "string",
782 "interval": "string",
783 "to_plan_id": "string",
784 "to_plan_name": "string",
785 "scheduled_interval": "string",
786 "scheduled_price": 1
787 },
788 "traits": {}
789 }
790 ],
791 "params": {
792 "credit_type_ids": [
793 "string"
794 ],
795 "has_scheduled_downgrade": true,
796 "ids": [
797 "string"
798 ],
799 "limit": 100,
800 "monetized_subscriptions": true,
801 "offset": 0,
802 "plan_id": "string",
803 "plan_ids": [
804 "string"
805 ],
806 "plan_version_id": "string",
807 "plan_version_ids": [
808 "string"
809 ],
810 "q": "string",
811 "sort_order_column": "string",
812 "sort_order_direction": "asc",
813 "subscription_statuses": [
814 "active"
815 ],
816 "subscription_types": [
817 "free"
818 ],
819 "with_entitlement_for": "string",
820 "with_subscription": true,
821 "without_feature_override_for": "string",
822 "without_plan": true,
823 "without_subscription": true
824 }
825}
Was this page helpful?
Previous

Upsert company

Next
Built with

Authentication

X-Schematic-Api-Keystring
API Key authentication via header

Query parameters

credit_type_idslist of stringsOptional

Filter companies by one or more credit type IDs (each ID starts with bcrd_)

has_scheduled_downgradebooleanOptional
Filter companies that have a pending scheduled downgrade
idslist of stringsOptional

Filter companies by multiple company IDs (starts with comp_)

monetized_subscriptionsbooleanOptional
Filter companies that have monetized subscriptions
plan_idstringOptional

Filter companies by plan ID (starts with plan_)

plan_idslist of stringsOptional

Filter companies by one or more plan IDs (each ID starts with plan_)

plan_version_idstringOptional

Filter companies by plan version ID (starts with plvr_)

plan_version_idslist of stringsOptional

Filter companies by one or more plan version IDs (each ID starts with plvr_). Takes precedence over plan_version_id when set.

qstringOptional<=512 characters
Search for companies by name, keys or string traits
sort_order_columnstringOptional<=255 characters

Column to sort by (e.g. name, created_at, last_seen_at)

sort_order_directionenumOptional

Direction to sort by (asc or desc)

Allowed values:
subscription_statuseslist of enumsOptional
Filter companies by one or more subscription statuses
subscription_typeslist of enumsOptional
Filter companies by one or more subscription types
Allowed values:
with_entitlement_forstringOptional

Filter companies that have an entitlement (plan entitlement or company override) for the specified feature ID

without_feature_override_forstringOptional
Filter out companies that already have a company override for the specified feature ID
without_planbooleanOptional
Filter out companies that have a plan
without_subscriptionbooleanOptional
Filter out companies that have a subscription
with_subscriptionbooleanOptional
Filter companies that have a subscription
limitlongOptional

Page limit (default 100)

offsetlongOptional

Page offset (default 0)

Response

OK
datalist of objects
paramsobject
Input parameters

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error